Index: ow/templates/profile.pt
===================================================================
--- ow/templates/profile.pt	(revision 4646069a8642d64988844838d89217ddac77c498)
+++ ow/templates/profile.pt	(revision c24991d30401d9bb97a0405e331e414fadae138d)
@@ -221,5 +221,5 @@
                   <div class="" tal:attributes="class 'js-year-stats js-' + sport + '-' + str(year)">
                     <ul class="profile-data"
-                        tal:define="sport_totals context.sport_totals(sport, year)">
+                        tal:define="sport_totals user.sport_totals(sport, year)">
                       <li>
                         <span>
@@ -259,5 +259,5 @@
                         </span>
                         <tal:has-wid tal:condition="sport_totals['max_distance_wid'] is not None">
-                          <a href="" tal:attributes="href request.resource_url(context[sport_totals['max_distance_wid']])">
+                          <a href="" tal:attributes="href request.resource_url(user[sport_totals['max_distance_wid']])">
                             <tal:w tal:replace="round(sport_totals['max_distance'])"></tal:w>
                             <tal:t i18n:translate="">km</tal:t>
@@ -274,5 +274,5 @@
                         </span>
                         <tal:has-wid tal:condition="sport_totals['max_time_wid'] is not None">
-                          <a href="" tal:attributes="href request.resource_url(context[sport_totals['max_time_wid']])">
+                          <a href="" tal:attributes="href request.resource_url(user[sport_totals['max_time_wid']])">
                             <tal:hms tal:define="hms timedelta_to_hms(sport_totals['max_time'])">
                               <tal:h tal:content="str(hms[0]).zfill(2)"></tal:h>
@@ -297,5 +297,5 @@
                         </span>
                         <tal:has-wid tal:condition="sport_totals['max_elevation_wid'] is not None">
-                          <a href="" tal:attributes="href request.resource_url(context[sport_totals['max_elevation_wid']])">
+                          <a href="" tal:attributes="href request.resource_url(user[sport_totals['max_elevation_wid']])">
                             <tal:w tal:replace="round(sport_totals['max_elevation'])"></tal:w>
                             <tal:t i18n:translate="">m</tal:t>
@@ -313,5 +313,5 @@
                 <strong i18n:translate="">All time</strong>
                 <ul class="profile-data"
-                    tal:define="sport_totals context.sport_totals(sport)">
+                    tal:define="sport_totals user.sport_totals(sport)">
                   <li>
                     <span>
@@ -351,5 +351,5 @@
                     </span>
                     <tal:has-wid tal:condition="sport_totals['max_distance_wid'] is not None">
-                      <a href="" tal:attributes="href request.resource_url(context[sport_totals['max_distance_wid']])">
+                      <a href="" tal:attributes="href request.resource_url(user[sport_totals['max_distance_wid']])">
                         <tal:w tal:replace="round(sport_totals['max_distance'])"></tal:w>
                         <tal:t i18n:translate="">km</tal:t>
@@ -366,5 +366,5 @@
                     </span>
                     <tal:has-wid tal:condition="sport_totals['max_time_wid'] is not None">
-                      <a href="" tal:attributes="href request.resource_url(context[sport_totals['max_time_wid']])">
+                      <a href="" tal:attributes="href request.resource_url(user[sport_totals['max_time_wid']])">
                         <tal:hms tal:define="hms timedelta_to_hms(sport_totals['max_time'])">
                           <tal:h tal:content="str(hms[0]).zfill(2)"></tal:h>
@@ -389,5 +389,5 @@
                     </span>
                     <tal:has-wid tal:condition="sport_totals['max_elevation_wid'] is not None">
-                      <a href="" tal:attributes="href request.resource_url(context[sport_totals['max_elevation_wid']])">
+                      <a href="" tal:attributes="href request.resource_url(user[sport_totals['max_elevation_wid']])">
                         <tal:w tal:replace="round(sport_totals['max_elevation'])"></tal:w>
                         <tal:t i18n:translate="">m</tal:t>
